Fetch a list of DescriptionEntity definitions (by name)
Fetch existing description entity definitions matching input filters.
curl --request GET \
--url https://mycluster.domino.tech/flows/api/v1/description_entities/{resource_type}/{id.project}/{id.domain}/{id.name}import requests
url = "https://mycluster.domino.tech/flows/api/v1/description_entities/{resource_type}/{id.project}/{id.domain}/{id.name}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mycluster.domino.tech/flows/api/v1/description_entities/{resource_type}/{id.project}/{id.domain}/{id.name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/flows/api/v1/description_entities/{resource_type}/{id.project}/{id.domain}/{id.name}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/flows/api/v1/description_entities/{resource_type}/{id.project}/{id.domain}/{id.name}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/flows/api/v1/description_entities/{resource_type}/{id.project}/{id.domain}/{id.name}")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/flows/api/v1/description_entities/{resource_type}/{id.project}/{id.domain}/{id.name}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"descriptionEntities": [
{
"id": {
"domain": "<string>",
"name": "<string>",
"org": "<string>",
"project": "<string>",
"resource_type": "UNSPECIFIED",
"version": "<string>"
},
"long_description": {
"format": "DESCRIPTION_FORMAT_UNKNOWN",
"icon_link": "<string>",
"uri": "<string>",
"value": "<string>"
},
"short_description": "<string>",
"source_code": {
"link": "<string>"
},
"tags": [
"<string>"
]
}
],
"token": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Path Parameters
Identifies the specific type of resource that this identifier corresponds to.
UNSPECIFIED, TASK, WORKFLOW, LAUNCH_PLAN, DATASET Name of the project the resource belongs to.
Name of the domain the resource belongs to. A domain can be considered as a subset within a specific project.
User provided value for the resource. The combination of project + domain + name uniquely identifies the resource. +optional - in certain contexts - like 'List API', 'Launch plans'
Query Parameters
Optional, org key applied to the resource.
Indicates the number of resources to be returned. +required
In the case of multiple pages of results, the server-provided token can be used to fetch the next page in a query. +optional
Indicates a list of filters passed as string. More info on constructing filters : +optional
Indicates an attribute to sort the response values. +required
Indicates the direction to apply sort key for response values. +optional
- DESCENDING: By default, fields are sorted in descending order.
DESCENDING, ASCENDING Response
A successful response.
Was this page helpful?
curl --request GET \
--url https://mycluster.domino.tech/flows/api/v1/description_entities/{resource_type}/{id.project}/{id.domain}/{id.name}import requests
url = "https://mycluster.domino.tech/flows/api/v1/description_entities/{resource_type}/{id.project}/{id.domain}/{id.name}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mycluster.domino.tech/flows/api/v1/description_entities/{resource_type}/{id.project}/{id.domain}/{id.name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/flows/api/v1/description_entities/{resource_type}/{id.project}/{id.domain}/{id.name}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/flows/api/v1/description_entities/{resource_type}/{id.project}/{id.domain}/{id.name}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/flows/api/v1/description_entities/{resource_type}/{id.project}/{id.domain}/{id.name}")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/flows/api/v1/description_entities/{resource_type}/{id.project}/{id.domain}/{id.name}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"descriptionEntities": [
{
"id": {
"domain": "<string>",
"name": "<string>",
"org": "<string>",
"project": "<string>",
"resource_type": "UNSPECIFIED",
"version": "<string>"
},
"long_description": {
"format": "DESCRIPTION_FORMAT_UNKNOWN",
"icon_link": "<string>",
"uri": "<string>",
"value": "<string>"
},
"short_description": "<string>",
"source_code": {
"link": "<string>"
},
"tags": [
"<string>"
]
}
],
"token": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}